# MCP System Bridge

An implementation of the Model Context Protocol (MCP), acting as a simple bridge to native OS functionalities like clipboard management and URL handling.

## Getting Started

Here's an example configuration using `uvx` as the command runner:

```json
{
  "mcpServers": {
    "mcp-sys-bridge": {
      "command": "uvx",
      "args": [
        "mcp-sys-bridge"
      ]
    }
  }
}
```

To install the `uvx` refer to the [uv documentation](https://docs.astral.sh/uv/getting-started/installation).

## Available Tools

- `open_url`: Open a URL in the default browser.
- `copy_to_clipboard`: Copy text to the clipboard.

## Changelog

### 0.1.1

- Improve the `open_url` tool to handle URLs without a scheme and validate that the URL is valid.

### 0.1.0

- Added `open_url` tool.
- Added `copy_to_clipboard` tool.

> If you find this project useful, please consider starring the repository. Contributions are welcome!
